<?php

namespace App\Console\Commands;

use App\Models\Crontjob;
use App\Repositories\TrackRepository;
use Carbon\Carbon;
use Illuminate\Console\Command;

class CalculateWeeklyReportCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'calculate:weekly-report';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Tính toán số liệu báo cáo tuần';

    protected $trackRepository;

    /**
     * Create a new command instance.
     *
     * CalculateWeeklyReportCommand constructor.
     * @param TrackRepository $trackRepository
     */
    public function __construct(TrackRepository $trackRepository)
    {
        parent::__construct();
        ini_set('max_execution_time', -1);
        $this->trackRepository = $trackRepository;
    }


    public function handle()
    {
        // Ghi log xem có gọi không
        Crontjob::create(['message' => 'CalculateWeeklyReportCommand is called']);

        // Xử lý di chuyển
        echo "\n Bắt đầu xử lý tính toán báo cáo tuần";



        echo "\n Kết thúc xử lý tính toán báo cáo tuần";

    }
}
